ISALPHARUNE(3)

NAME
isalpharune, islowerrune, isspacerune, istitlerune, isupperrune, tolowerrune, totitlerune, toupperrune - Unicode character classes and cases

SYNOPSIS
#include <u.h>
#include <libc.h>

int isalpharune(Rune c)

int islowerrune(Rune c)

int isspacerune(Rune c)

int istitlerune(Rune c)

int isupperrune(Rune c)

Rune tolowerrune(Rune c)

Rune totitlerune(Rune c)

Rune toupperrune(Rune c)

DESCRIPTION
These routines examine and operate on Unicode characters, in particular a subset of their properties as defined in the Unicode standard. Unicode defines some characters as alphabetic and specifies three cases: upper, lower, and title. Analogously to isalpha(3) for ASCII , these routines test types and modify cases for Unicode characters. The names are self-explanatory.

The case-conversion routines return the character unchanged if it has no case.

SOURCE
/usr/local/plan9/src/lib9/utf/runetype.c

SEE ALSO
isalpha(3), The Unicode Standard.